<?php
session_start();/**************************************************صفحة تحميل المزيد من الفيديوهات*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;


//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 
include("fetch_array_search.php");

/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];

//رقم سحل البداية
$start=$_POST['start'];

//رقم سحل النهاية
$end=$_POST['end'];

// عدد الصفوف المستدعاة

//تحديد عدد الصفوف
$num_rows=$_POST['num_rows'];
// كلمة البحث
$search=$_POST['search'];

// القسم الحالى
$cat=$_POST['cat'];







?>	
<div id="load_wait"></div>
<div id="result_view">
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
<td align="center">رابط الصفحة</td>
<td align="center" >الرابط</td>
<td align="center">التعليق</td>
<td  align="center">المصنع</td>
<td width='5' align="center">الاهمية</td>
<td width="15" align="center">تعديل</td>
<td width="15" align="center">تفاصيل</td>	
<td width="15" align="center">حذف</td>	
</tr>	
	
	
<?php
$rows_num=0;

if ($cat='no'){
//بداية الاستعلام
$query="select * from $table order by  id desc limit $start,$num_rows";
}else{
//بداية الاستعلام
$query="select * from $table where category=$cat order by  id desc limit $start,$num_rows";
}

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$rows_num=mysqli_num_rows($result);

/*بداية التكرار */  
while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	echo"<tr tr_id='$fetch[id]' priority='$fetch[priority]' arrang='$fetch[sort]' id='tr$fetch[id]' class='table_tr'>";	
	echo"<td><div>$_SESSION[website_url]/videos.php?id=$fetch[id]</div></td>";	
	echo"<td><div>$fetch[link]</div></td>";
	echo"<td><div>$fetch[title]</div></td>";
?>


<td><div>
<?php	
$arrayKey = searchArrayKeyVal("id",$fetch['comp'], $_SESSION['companies_array']);
if ($arrayKey!==false) {
echo $_SESSION['companies_array'][$arrayKey]['title'];
}?>
</div></td>
<?php
echo"<td align='center'><div>$fetch[priority]</div></td>";
echo"<td align='center'><a class='edit_news' alt'$fetch[id]' href='edit_$table.php?id=$fetch[id]'><img loading='lazy' a src='../img/edit.png'></td>";
echo"<td align='center'><a table='$table' class='show_details' created='$fetch[created]' modified='$fetch[modified]' user_created='$fetch[user_created]' user_modified='$fetch[user_modified]'  alt='$fetch[id]'><img loading='lazy' src='../img/details.png'></td>";

echo"<td align='center'><a class='delete' alt='$fetch[id]'><img loading='lazy' src='../img/delete.png'></td>";
echo"</tr>";
}	
?>
</table>
</div>
		


